Get and update account settings and preferences

View and manage your personal account settings, including preferences for login, notifications, and language.

Account & Settings Preferences

Context

Used in the dashboard

/ /account

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.preferences object required
data.preferences.bankid_only_login boolean required · Example: false
data.preferences.client_id integer required · Example: 30000
data.preferences.created_at string required · Example: 2026-02-10T00:00:00.000Z
data.preferences.email_notifications boolean required · Example: true
data.preferences.id integer required · Example: 16596
data.preferences.language string · enum required · Example: sv
en
sv
data.preferences.peppol_opt_out boolean required · Example: false
data.preferences.peppol_opt_out_date string · nullable required · Example: null

Nullable: may be null when not applicable.

data.preferences.peppol_opt_out_reason string · nullable required · Example: null

Nullable: may be null when not applicable.

data.preferences.sms_notifications boolean required · Example: false
data.preferences.timezone string required · Example: Europe/Stockholm
data.preferences.two_factor_enabled boolean required · Example: false
data.preferences.updated_at string required · Example: 2026-02-10T00:00:00.000Z
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/account/preferences
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/account/preferences" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "preferences": {
      "id": 16596,
      "client_id": 30000,
      "bankid_only_login": false,
      "two_factor_enabled": false,
      "email_notifications": true,
      "sms_notifications": false,
      "language": "sv",
      "timezone": "Europe/Stockholm",
      "created_at": "2026-02-10T00:00:00.000Z",
      "updated_at": "2026-02-10T00:00:00.000Z",
      "peppol_opt_out": false,
      "peppol_opt_out_reason": null,
      "peppol_opt_out_date": null
    }
  }
}